Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface MiscSetAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface MiscSetAdaptor
extends Adaptor

Author:
  Craig Melsopp

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`java.util.List` | `fetch()`
`MiscSet` | `fetch(long internalID)`
`MiscSet` | `fetch(java.lang.String code)`
`java.util.List` | `fetchByCodePattern(java.lang.String regexp)` Fetches all MiscSets with a code matching the regular expression.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public java.util.List fetch()
                         throws AdaptorException

  Returns:
    all MiscSets
  Throws:
    `AdaptorException` - if problem occurs retrieving data from databases.

### fetch

    public MiscSet fetch(long internalID)
                  throws AdaptorException

  Parameters:
    `internalID` - internalID of MiscSet
  Returns:
    MiscSet with specified internalID, or null if none found.
  Throws:
    `AdaptorException` - if problem occurs retrieving data from databases.

### fetch

    public MiscSet fetch(java.lang.String code)
                  throws AdaptorException

  Parameters:
    `code` - MiscSet's code
  Returns:
    MiscSets matching with the specified code or null if non found.
  Throws:
    `AdaptorException` - if problem occurs retrieving data from databases.

### fetchByCodePattern

    public java.util.List fetchByCodePattern(java.lang.String regexp)
                                      throws AdaptorException

  Fetches all MiscSets with a code matching the regular expression.

  Parameters:
    `regexp` - pattern to match against misc_set.code.
  Returns:
    zero or more MiscSets
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD